﻿SystemOrganization addCategory: #'Neo4reSt-Cypher'!

Object subclass: #N4CypherResponse
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Neo4reSt-Cypher'!

N4CypherResponse subclass: #N4CypherErrorReport
	instanceVariableNames: 'message exception stackTrace'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Neo4reSt-Cypher'!

!N4CypherErrorReport class methodsFor: 'instance creation' stamp: 'mu 2/5/2012 16:40'!
json: jsonObject
	| inst |
	inst := self new.
	inst message: (jsonObject at: 'message').
	inst exception: (jsonObject at: 'exception').
	inst stackTrace: (jsonObject at: 'stackTrace').
	^inst! !

!N4CypherErrorReport methodsFor: 'accessing' stamp: 'mu 2/5/2012 16:35'!
exception
	"Answer the value of exception"

	^ exception! !

!N4CypherErrorReport methodsFor: 'accessing' stamp: 'mu 2/5/2012 16:35'!
exception: anObject
	"Set the value of exception"

	exception := anObject! !

!N4CypherErrorReport methodsFor: 'accessing' stamp: 'mu 2/5/2012 16:35'!
message
	"Answer the value of message"

	^ message! !

!N4CypherErrorReport methodsFor: 'accessing' stamp: 'mu 2/5/2012 16:35'!
message: anObject
	"Set the value of message"

	message := anObject! !

!N4CypherErrorReport methodsFor: 'accessing' stamp: 'mu 2/5/2012 16:35'!
stackTrace
	"Answer the value of stackTrace"

	^ stackTrace! !

!N4CypherErrorReport methodsFor: 'accessing' stamp: 'mu 2/5/2012 16:35'!
stackTrace: anObject
	"Set the value of stackTrace"

	stackTrace := anObject! !

!N4CypherResponse class methodsFor: 'instance creation' stamp: 'mu 2/5/2012 16:38'!
json: jsonObject
	! !

N4CypherResponse subclass: #N4CypherResult
	instanceVariableNames: 'columns data'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Neo4reSt-Cypher'!

!N4CypherResult class methodsFor: 'instance creation' stamp: 'mu 2/5/2012 16:39'!
json: jsonObject
	| inst |
	inst := self new.
	inst columns: (jsonObject at: 'columns').
	inst data: (jsonObject at: 'data').
	^inst! !

!N4CypherResult methodsFor: 'accessing' stamp: 'mu 2/6/2012 23:33'!
columns
	"Answer the value of columns"

	^ columns ifNil: [columns := #()]! !

!N4CypherResult methodsFor: 'accessing' stamp: 'mu 2/5/2012 16:35'!
columns: anObject
	"Set the value of columns"

	columns := anObject! !

!N4CypherResult methodsFor: 'enumeration' stamp: 'mu 2/6/2012 23:44'!
columnsAndDataDo: aBlock
	| clms |
	clms := self columns.
	self data do: [:eachRow |
		1 to: clms size do: [:idx |
			aBlock value: (clms at: idx) value: (eachRow at: idx).	
		]
	]! !

!N4CypherResult methodsFor: 'accessing' stamp: 'mu 2/6/2012 23:33'!
data
	"Answer the value of data"

	^ data ifNil: [data := #()]! !

!N4CypherResult methodsFor: 'accessing' stamp: 'mu 2/5/2012 16:35'!
data: anObject
	"Set the value of data"

	data := anObject! !

!N4CypherResult methodsFor: 'enumeration' stamp: 'mu 2/6/2012 23:33'!
dataDo: aBlock
	^ self data do: aBlock! !

!N4CypherResult methodsFor: 'enumeration' stamp: 'mu 2/6/2012 23:34'!
do: aBlock
	^ self dataDo: aBlock! !
